"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Tag = void 0;

var _react = _interopRequireDefault(require("react"));

var _nativeBase = require("native-base");

var _ThemeConfig = require("../../Configurations/ThemeConfig");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const Tag = props => {
  const {
    title,
    themeColor,
    fontColor
  } = props;
  return /*#__PURE__*/_react.default.createElement(_nativeBase.Text, {
    style: {
      backgroundColor: themeColor !== null && themeColor !== void 0 ? themeColor : _ThemeConfig.ButtonColors.primary,
      fontWeight: 'normal',
      fontSize: 15,
      textAlign: 'center',
      color: fontColor !== null && fontColor !== void 0 ? fontColor : 'white',
      alignSelf: 'flex-start',
      paddingLeft: 10,
      paddingRight: 8,
      paddingVertical: 5,
      margin: 5,
      borderRadius: 5
    }
  }, title);
};

exports.Tag = Tag;
//# sourceMappingURL=Tag.js.map