import React, { FC } from 'react';
import { Text } from 'native-base';
import { ButtonColors } from '../../Configurations/ThemeConfig';

type TagProps = {
  title: string;
  themeColor?: string;
  fontColor?: string;
};
export const Tag: FC<TagProps> = (props: TagProps) => {
  const { title, themeColor, fontColor } = props;
  return (
    <Text
      style={{
        backgroundColor: themeColor ?? ButtonColors.primary,
        fontWeight: 'normal',
        fontSize: 15,
        textAlign: 'center',
        color: fontColor ?? 'white',
        alignSelf: 'flex-start',
        paddingLeft: 10,
        paddingRight: 8,
        paddingVertical: 5,
        margin: 5,
        borderRadius: 5,
      }}
    >
      {title}
    </Text>
  );
};
